
val parse_spaces : char Stream.t -> unit
val parse_int : char Stream.t -> int
val parse_big_int : char Stream.t -> Big_int.big_int
val parse_float : char Stream.t -> float 
val parse_num : char Stream.t -> Num.num    
val parse_ident : char Stream.t -> string

val parse_delim :
  char -> char -> (char Stream.t -> 'a) -> char Stream.t -> 'a
val parse_tuple :
  (char Stream.t -> 'a) -> (char Stream.t -> 'b) -> char Stream.t -> 'a * 'b
val parse_complex : 'a -> ('a -> 'a) -> 
  (char Stream.t -> 'a) -> char Stream.t -> 'a * 'a

